div {
        display: block;
        unicode-bidi: isolate;
    }

    * {
    font-family: 'Gramatika', Arial, sans-serif !important;
}    

    .header-up {
        background: #004EA6;
        height: 42px;
        width: 100%
    }

    .container {
        max-width: 1160px;
        margin: 0 auto;
        padding-left: 10px;
        padding-right: 10px;
    }

    .header-up-container {
        max-width: 1160px;
        margin: 0 auto;
        padding-left: 10px;
        padding-right: 10px;
        display: flex;
        align-items: center;
        height: 42px;
        justify-content: space-between;
    }

    .top-panel_group-social {
        display: flex;
        align-items: center;
        gap: 26px;
    }

    .top-panel_group {
        display: flex;
        align-items: center;
    }

    .top-panel_group-feedback {
        display: flex;
        align-items: center;
        gap: 22px;
    }

    .main-header {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        height: 211px;
    }

    .main-header_logo {
        display: flex;
        align-items: center;
    }


    .main-header_title {
        width: 425px;
        height: 66px;
        margin-bottom: 13px;
        color: #050625;
    }


    /* версия для слабовидящих */

    /* размер шрифта */

html.vi-small { 
    font-size: 14px !important; 
}

html.vi-medium { 
    font-size: 16px !important; 
}

html.vi-large { 
    font-size: 20px !important; 
}

html.vi-small .usefullinks_title,
html.vi-small .banners_title {
    font-size: 24px;
}

html.vi-small .name_new, 
.vi-small .time_new, 
.vi-small .news-card-title, 
.vi-small .card-name,  
.vi-small .card-pos, 
.vi-small .top-menu__root-item-link span, 
.vi-small .menu-item-link, 
.vi-small .text-block p,
.vi-small .main-header_title{
    font-size: 14px !important;
}

.vi-small .download-btn,
.vi-small .search-preview,
.vi-small .search-result .search-item a,
.vi-small .search-button,
.vi-small .search-reset,
.vi-small .main-text-secondary,
.vi-small .main-link {
    font-size: 12px !important;
}

html.vi-medium .usefullinks_title,
html.vi-medium .banners_title,
html.vi-medium .detail-title{
    font-size: 32px !important;
}

.vi-medium .download-btn,
.vi-medium .search-preview,
.vi-medium .search-button,
.vi-medium .search-reset,
.vi-medium .main-text-secondary,
.vi-medium .main-link {
    font-size: 16px !important;
}
.vi-medium .search-result .search-item a {
    font-size: 20px !important;
}

html.vi-medium .name_new, 
.vi-medium .time_new, 
.vi-medium .news-card-title, 
.vi-medium .card-name,  
.vi-medium .card-pos, 
.vi-medium .top-menu__root-item-link span, 
.vi-medium .menu-item-link, 
.vi-medium .text-block p,
.vi-medium .main-header_title
.vi-medium .download-btn{
    font-size: 16px !important;
}

html.vi-large .name_new, 
.vi-large .time_new, 
.vi-large .news-card-title, 
.vi-large .card-name,  
.vi-large .card-pos, 
.vi-large .top-menu__root-item-link span, 
.vi-large .menu-item-link, 
.vi-large .text-block p,
.vi-large .main-header_title
.vi-large .download-btn{
    font-size: 20px;
}

.vi-large .download-btn,
.vi-large .search-preview,
.vi-large .search-form,
.vi-large .search-button,
.vi-large .search-reset,
.vi-large .main-text-secondary,
.vi-large .main-link {
    font-size: 24px !important;
}

.vi-large .search-result .search-item a {
    font-size: 32px !important;
}

html.vi-large .usefullinks_title,
html.vi-large .banners_title, html.vi-large .detail-title {
    font-size: 40px;
}

html.vi-small .banners_expand,
html.vi-small .usefullinks_expand,
html.vi-small .detail-title
 { 
    font-size: 14px !important; 
}

html.vi-medium .banners_expand,
html.vi-medium  .usefullinks_expand
{ 
    font-size: 20px !important; 
}

html.vi-large .banners_expand,
html.vi-large .usefullinks_expand
{ 
    font-size: 24px !important; 
}
html.vi-small .useful_link_unit div
 { 
    font-size: 14px !important; 
}

html.vi-medium .useful_link_unit div
{ 
    font-size: 18px !important; 
}

html.vi-large .useful_link_unit div
{ 
    font-size: 20px !important; 
}


/* семейство шрифтов */

html.vi-arial body{
    font-family: Arial, sans-serif !important;
}

html.vi-times body {
    font-family: "Times New Roman", serif !important;
}

/* оформление темы */

.vi-white {
    background: #fff; 
    color: #000; 
}

.vi-brown .main-header_title {
    color: #4b2e1a !important;
    border-radius: 4px;
    display: inline-block;
}
.vi-black .main-header_title {
    color: white !important;
    border-radius: 4px;
    display: inline-block;
}
.vi-blue .main-header_title {
    color: #001a33!important;
    border-radius: 4px;
    display: inline-block;
}
.vi-green .main-header_title {
    color: #2ecc71!important;
    border-radius: 4px;
    display: inline-block;
}

/* черным по белому */
.vi-black {
    background: #000; 
    color: #fff; 
}

.vi-black .name_new, 
.vi-black .time_new, 
.vi-black .news-card-title, 
.vi-black .card-name , 
.vi-black .card-pos, 
.vi-black .text-block p, 
.vi-black .top-menu__root-item-link, 
.vi-black .menu-item-link, 
.vi-black .detail-title,
.vi-black .main-footer-top,
.vi-black .main-footer-grid div,
.vi-black .main-footer-grid a,
.vi-black .main-footer__sitename,
.vi-black .main-footer__social,
.vi-black .links-text,
.vi-black .main-menu li a,
.vi-black .has-submenu .main-link,
.vi-black .download-btn{
    background: #000 !important; 
    color: #fff !important; 
}

.vi-black .links-text, .vi-black .menu-item-link,.vi-black .top-menu__root-item-link{
    color: #fff !important;
}

.vi-black .banners_expand, .vi-black .useful_link_unit div, .vi-black .usefullinks_expand{
    background: #000; 
    color: #fff; 
}

/* синим по голубому */
.vi-blue { 
    background: #cfe9ff; 
    color: #001a33 !important; 
}

.vi-blue .name_new, 
.vi-blue .time_new, 
.vi-blue .news-card-title, 
.vi-blue .card-name , 
.vi-blue .card-pos, 
.vi-blue .text-block p, 
.vi-blue .top-menu__root-item-link, 
.vi-blue .menu-item-link, 
.vi-blue .detail-title,
.vi-blue .main-footer-top,
.vi-blue .main-footer-grid div,
.vi-blue .main-footer-grid a,
.vi-blue .main-footer__sitename,
.vi-blue .main-footer__social,
.vi-blue .links-text,
.vi-blue .main-menu li a,
.vi-blue .has-submenu .main-link,
.vi-blue .download-btn{
    background: #cfe9ff !important; 
    color: #001a33 !important; 
}

.vi-blue .banners_expand, .vi-blue .useful_link_unit div, .vi-blue .usefullinks_expand{
    color: #001a33;
}

/* коричневым по бежевому */
.vi-brown {
    background: #f5e6d3;  
    color: #4b2e1a !important; 
}

.vi-brown .name_new, 
.vi-brown .time_new, vi-brown .news-card-title, 
.vi-brown .card-name,  
.vi-brown .card-pos, 
.vi-brown .text-block p, 
.vi-brown .top-menu__root-item-link, 
.vi-brown .menu-item-link, 
.vi-brown .detail-title,
.vi-brown .main-footer-top,
.vi-brown .main-footer-grid div,
.vi-brown .main-footer-grid a,
.vi-brown .main-footer__sitename,
.vi-brown .main-footer__social,
.vi-brown .links-text,
.vi-brown .main-menu li a,
.vi-brown .has-submenu .main-link,
.vi-brown .download-btn{
    background: #f5e6d3 !important;  
    color: #4b2e1a !important; 
}

.vi-brown  .banners_expand, .vi-brown .useful_link_unit div, .vi-brown .usefullinks_expand{
    color: #4b2e1a;
}

/* зеленым по коричневому */
.vi-green {
    background: #3b2a1a;   
    color: #2ecc71 !important;
}
.vi-green .name_new, 
.vi-green .time_new, 
.vi-green .news-card-title, 
.vi-green .card-name, 
.vi-green .card-pos, 
.vi-green .top-menu__root-item-link, 
.vi-green .menu-item-link, 
.vi-green .text-block p, 
.vi-green .detail-title,
.vi-green .main-footer-top,
.vi-green .main-footer-grid div,
.vi-green .main-footer-grid a,
.vi-green .main-footer__sitename,
.vi-green .main-footer__social,
.vi-green .links-text,
.vi-green .main-menu li a,
.vi-green .has-submenu .main-link,
.vi-green .download-btn{
    background: #3b2a1a !important;   
    color: #2ecc71 !important;
}

.vi-green   .banners_expand, .vi-green  .useful_link_unit div, .vi-green  .usefullinks_expand{
    color: #2ecc71;
}

/* картинки */

.vi-hide-images .swiper-slide-img,
.vi-hide-images .disp.content, 
.vi-hide-images .banners_list, 
.vi-hide-images .banners_list_img,
.vi-hide-images .main-footer__background,
.vi-hide-images .news-card-image,
.vi-hide-images .stub-image-placeholder,
.vi-hide-images .card-item img,
.vi-hide-images .image-link img,
.vi-hide-images .main-header_logo img,
.vi-hide-images .disp_component img,
.vi-hide-images .main-footer__logo-img{
    display: none !important;
}

.vi-hide-images .main-footer-top,
.vi-hide-images .main-footer-grid div,
.vi-hide-images .main-footer-grid a,
.vi-hide-images .main-footer__sitename,
.vi-hide-images .main-footer__social {
    color: #000 !important;
}

/* исправление закруглений баннеров */

.banners_list a img {
    border-radius: 16px;
}

.useful_link_unit {
    align-items: center;
}

    @media (min-width: 767px) {
        .main-header_logo {
            gap: 43px;
        }

        .main-header_title {
            font-size: 22px;
        }

        .main-header_logo_img {
            max-width: 107px;
        }

        .top-menu {
            --item-gap: 32px;
            --root-item-gap: 8px;
            background: hsl(0, 0%, 100%);
        }

        .top-menu_mobile {
            display: none;
        }
    }

    @media (min-width: 425px) and (max-width: 767px) {
        .main-header_logo {
            gap: 13px;
        }

        .main-header_title {
            font-size: 16px;
        }

        .main-header_logo_img {
            max-width: 90px;
        }

        .top-menu {
            display: none;
        }

    }

    @media (max-width: 425px) {
        .main-header_logo {
            gap: 7px;
        }

        .main-header_title {
            font-size: 13px;
        }

        .main-header_logo_img {
            max-width: 50px;
        }

        .top-menu {
            display: none;
        }

    }

    .main-header_controls {
        display: flex;
        gap: 28px;
        flex-wrap: wrap;
    }

.main-header_button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 11px;
    width: 52px;
    height: 48px;
    border-radius: 12px;
    font-weight: 500;
    border: 0;
    cursor: pointer;
    background-color: #F5F5FA; 
}

.main-header_search-button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 11px;
    width: 48px;
    height: 48px;
    border-radius: 12px;
    font-weight: 500;
    border: 0;
    cursor: pointer;
    background-color: #F5F5FA; 
}

.main-header_button:hover,
.main-header_search-button:hover {
    background-color: #EBEBF4;
    transition: 0.2s;
}

    .no-link {
        cursor: default;
    }

    .link {
        transition: 0.5s all;
    }

    .link:hover {
        transition: 0.5s all;
        transform: scale(1.1);
    }



    @font-face {
    font-family: 'Gramatika';  
    src: url('./fonts/1095-font.ttf') format('truetype');
    font-weight: 700; 
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Gramatika';
    src: url('./fonts/1096-font.ttf') format('truetype');
    font-weight: 400;  
    font-style: normal;
    font-display: swap;
}


@font-face {
    font-family: 'Arial';
    src: url('/fonts/arialmt.ttf');
    font-weight: 400;
    font-style: normal;
}
@font-face {
    font-family: 'Times New Roman';
    src: url('/fonts/timesnewromanpsmt.ttf');
    font-weight: 400;
    font-style: normal;
}

    .container__header-menu {
        width: 100%;
        max-width: 1152px;
        margin: 0 auto;
        position: relative;

    }

    .nav {
        display: block;
        unicode-bidi: isolate;
    }

    .header-menu {
        border-top: 1px solid #F5F5FA;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 10px;
        position: sticky;
        top: 0;
        z-index: 10;
    }


 


    /* Классы футера */

    .main-footer {
        position: relative;
        padding-top: 37px;
        padding-bottom: 32px;
        color: white;
    }

    .main-footer__background {
        background: #001F41;
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        margin: auto;
        pointer-events: none;
        z-index: -1;
        font-size: 0;
    }

    .main-footer-top {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
        flex-wrap: wrap;
        padding-bottom: 27px;
        gap: 10px;
    }

    .main-footer__logo {
        display: flex;
        gap: 29px;
        justify-content: flex-start;
        align-items: center;
        font-size: 14px;
        text-decoration: none;
        color: white;
    }

    .main-footer__logo-img {
        width: 71px;
        height: 91px;
    }

    .main-footer__img {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .main-footer__sitename {
        color: white;
        font-size: 14px;
        line-height: 27px;
    }

    .main-footer__social {
        display: flex;
        gap: 26px;
        color: white;
    }

    .main-footer-grid {
        display: grid;
        padding-top: 26px;
        border-top: 1px solid hsl(0deg 0% 100% / 12%);
        align-items: baseline;
        grid-template-columns: auto auto auto;
        justify-content: space-between;
    }

    .main-footer-grid__feedback {
        grid-column: 3;
    }

    .main-footer-grid__copyright {
        grid-column: 1;
        grid-row: 2;
    }

    .main-footer-grid__policy {
        grid-column: 3;
        grid-row: 2;
        font-size: 13px;
        line-height: 25px;
    }

    .main-footer-lower__label {
        color: #ebebf4bf;
        font-size: 15px;
        margin-bottom: 5px;
    }

    .main-footer-lower__value,
    .main-footer-lower__value a {
        color: white !important;
        font-size: 19px;
        text-decoration: none;
    }

    .main-footer__small-text,
    .main-footer__small-text a {
        color: #ebebf4bf;
        font-size: 13px;
        line-height: 25px;
        text-decoration: none;
    }

    .main-footer-grid__extension {
        grid-column: 2;
        grid-row: 2;
        text-align: left;
    }

    .footer__link {
        color: white;
        text-decoration: none;
    }

    .footer a:hover {
        text-decoration: underline;
    }

    @media (max-width: 768px) {
        .desktop-logo {
            display: none;
        }

        .mobile-logo {
            display: block;
        }
    }

    @media (min-width: 769px) {
        .desktop-logo {
            display: block;
        }

        .mobile-logo {
            display: none;
        }
    }

    @media (max-width: 768px) {
        .main-footer {
            padding-top: 25px;
            padding-bottom: 25px;
        }

        .main-footer-top {
            align-items: flex-start;
            flex-wrap: wrap;
        }

        .main-footer__logo {
            padding-bottom: 22px;
            flex: 1 1 auto;
        }

        .main-footer__sitename {
            font-size: 13px;
            line-height: 22px;
        }

        .main-footer__social-wrapper {
            margin-right: 0;
            align-self: flex-start;
        }

        .main-footer__social {
            margin-left: auto;
            margin-right: 0;
            align-self: flex-start;
        }

        .main-footer-grid {
            grid-template-columns: 1fr;
            gap: 10px;
            text-align: left;
        }

        .main-footer-grid>div {
            grid-column: 1 !important;
            grid-row: auto !important;
        }


        .main-footer-grid__extension {
            display: none;
        }

        .main-footer-grid>div:nth-child(2) .main-footer-lower__value::after {
            content: " (доб. 732, 734)";
            font-size: 16px;
            color: white;
            font-weight: 600;
        }

        .main-footer-lower__label {
            font-size: 14px;
        }

        .main-footer-lower__value,
        .main-footer-lower__value a {
            font-size: 17px;
        }
    }

    @media (max-width: 480px) {
        .main-footer__logo-img {
            width: 40px;
            height: 51px;
        }

        .main-footer__sitename {
            font-size: 13px;
            line-height: 20px;
        }

        .main-footer-grid>div:nth-child(2) .main-footer-lower__value::after {
            font-size: 14px;
        }

        .main-footer-lower__value,
        .main-footer-lower__value a {
            font-size: 16px;
        }
    }

    /* rgdsrgde */

    /* --- 1. Адаптивность меню (скрытие/показ на разных разрешениях) --- */

@media (min-width: 767px) {
    .main-header_logo {
        gap: 43px;
    }

    .main-header_title {
        font-size: 22px;
    }

    .main-header_logo_img {
        max-width: 107px;
    }

    .top-menu {
        --item-gap: 32px;
        --root-item-gap: 8px;
        background: hsl(0, 0%, 100%);
    }

    .top-menu_mobile {
        display: none;
    }
}

@media (min-width: 425px) and (max-width: 767px) {
    .main-header_logo {
        gap: 13px;
    }

    .main-header_title {
        font-size: 16px;
    }

    .main-header_logo_img {
        max-width: 90px;
    }

    .top-menu {
        display: none; /* Скрываем основное меню на мобильных */
    }

}

@media (max-width: 425px) {
    .main-header_logo {
        gap: 7px;
    }

    .main-header_title {
        font-size: 13px;
    }

    .main-header_logo_img {
        max-width: 50px;
    }

    .top-menu {
        display: none; /* Скрываем основное меню на мобильных */
    }

}

/* --- 2. Основные стили навигации и выпадающего меню --- */

.container__header-menu {
    width: 100%;
    max-width: 1152px;
    margin: 0 auto;
    position: relative;
}

.top-menu__root-items {
    display: flex;
    flex-direction: row;
    list-style: none;
    margin: 0;
    padding: 0;
    justify-content: space-between;
    border-top: 1px solid #ebebf479;
    list-style-type: none;
}

.top-menu__root-item {
    position: relative;
    margin: 0;
    padding: 0;
}

.top-menu__root-item-link {
    position: relative;
    display: flex;
    align-items: center;
    min-height: 63px;
    font-size: 15px !important;
    font-weight: 600;
    text-decoration: none;
    color: #050625;
}

.top-menu__root-item__content {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    min-height: 63px;
    padding: 6px;
}

.top-menu__root-item-icon {
    position: relative;
    bottom: -4px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    min-width: 11px;
    min-height: 63px;
    margin-left: 8px;
    padding: 0;
    color: #050625;
    background: none;
    border: none;
    transition: transform 0.2s;
    cursor: pointer;
}

@keyframes opv2 {
    0% { opacity: 0; }
    100% { opacity: 1; }
}

.dropdown-of-menu {
    position: absolute;
    background-color: #F5F5FA;
    width: 1140px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    padding: 12px 16px;
    top: 100%;
    left: 0;
    z-index: 100;
    border-radius: 10px;
}

.dropdown-of-menu-title {
    font-size: 25px;
    color: #050625;
    margin: 0 0 20px 0;
}

.dropdown-of-menu-list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px 100px;
    width: 100%;
    margin-top: 0;
}

.dropdown-of-menu-list a {
    font-size: 20px;
    color: #004EA6 !important;
    text-decoration: none;
}



